# K-Door-Pi

Client for K-Space door system. Run on Raspberry Pi and controlls the doors

# Running it

```sh
export KDOORPI_DOOR="name"  # Door name
export KDOORPI_API_ALLOWED="http://server/allowed"  # Used to fetch allowed cards
export KDOORPI_API_LONGPOLL="http://server/longpoll"  # Open door now and force allowed cards sync endpoint
export KDOORPI_API_SWIPE="http://server/swipe"  # On card swipe post log line here
export KDOORPI_API_KEY="keykeykey"  # api key for accessing allowed and longpoll api endpoints
export KDOORPI_UID_SALT="saltsaltsalt"  # shared slat used to hash card uid bytes

python3 -m kdoorpi
```

You can also use the `run.sh.example` by copying it to `run.sh` and changing variables inside it.
